Package org.apache.wiki.tags

## Class MessagesTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.apache.wiki.tags.WikiTagBase
    - - org.apache.wiki.tags.MessagesTag

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

    public class MessagesTag
    extends WikiTagBase

Returns or clears the current messages associated with the user's wiki session. This tag accepts four attributes:

- `action` - if "clear", the messages will be cleared. Otherwise, this tag will always print the set of current messages as either a single <p> tag (if there is only one message) or a bulleted list (if there is more than one).
- `prefix` - the string to prepend to the list of errors, if there are any; default is empty string
- `topic` - a collection for messages, for example those associated with a particular web form. If not supplied, defaults to a generic (non-specific) collection
- `div` - the `div` class to wrap the messages in; if not supplied, `information` is assumed

Since:
  2.3.54
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wiki.tags.WikiTagBase

`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
`MessagesTag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `doWikiStartTag()` This method is allowed to do pretty much whatever he wants.
`void` `initTag()` This method is called when the tag is encountered within a new request, but before the setXXX() methods are called.
`void` `setAction​(java.lang.String action)`
`void` `setDiv​(java.lang.String div)`
`void` `setPrefix​(java.lang.String prefix)`
`void` `setTopic​(java.lang.String topic)`

### Methods inherited from class org.apache.wiki.tags.WikiTagBase

`doCatch, doEndTag, doFinally, doStartTag, setId, setPageContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MessagesTag

    public MessagesTag()

### Method Detail

#### initTag

    public void initTag()

Description copied from class: `WikiTagBase`
This method is called when the tag is encountered within a new request, but before the setXXX() methods are called. The default implementation does nothing.

Overrides:
  `initTag` in class `WikiTagBase`

#### setTopic

    public void setTopic​(java.lang.String topic)

#### setPrefix

    public void setPrefix​(java.lang.String prefix)

#### setDiv

    public void setDiv​(java.lang.String div)

#### setAction

    public void setAction​(java.lang.String action)

#### doWikiStartTag

    public final int doWikiStartTag()
                             throws java.io.IOException

Description copied from class: `WikiTagBase`
This method is allowed to do pretty much whatever he wants. We then catch all mistakes.

Specified by:
  `doWikiStartTag` in class `WikiTagBase`
Throws:
  `java.io.IOException`